org.springframework.core.serializer.support

## Class SerializationFailedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.core.serializer.support.SerializationFailedException

All Implemented Interfaces:
  Serializable

    public class SerializationFailedException
    extends NestedRuntimeException

Wrapper for the native IOException (or similar) when a `Serializer` or `Deserializer` failed. Thrown by `SerializingConverter` and `DeserializingConverter`.

Since:
  3.0.5
Author:
  Gary Russell, Juergen Hoeller
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SerializationFailedException(String message)` Construct a `SerializationException` with the specified detail message.
`SerializationFailedException(String message, Throwable cause)` Construct a `SerializationException` with the specified detail message and nested exception.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SerializationFailedException

    public SerializationFailedException(String message)

Construct a `SerializationException` with the specified detail message.

Parameters:
  `message` - the detail message

#### SerializationFailedException

    public SerializationFailedException(String message,
                                Throwable cause)

Construct a `SerializationException` with the specified detail message and nested exception.

Parameters:
  `message` - the detail message
  `cause` - the nested exception